#include <bits/stdc++.h>
using namespace std;
string s,x;
int sd;
bool palindrom(){
  for(int i=0,j=sd-1;i<=sd/2-1;i++,j--){
      if(s[i]!=s[j])return false;
  }
  return true;
}
int main(){
  cin>>s;
  sd=s.size();
  if(palindrom()){
     cout<<1<<endl;
  }
   return 0;
}